> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Vimeo Video Extraction

> Fetch Vimeo video metadata, author info, stats, and embed data from a Vimeo URL.



## OpenAPI

````yaml POST /vimeo/video
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /vimeo/video:
    post:
      description: >-
        Fetch Vimeo video metadata, author info, stats, and embed data from a
        Vimeo URL.
      requestBody:
        description: Vimeo video fetch parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VimeoVideoRequest'
        required: true
      responses:
        '200':
          description: Video details fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VimeoVideoResponse'
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    VimeoVideoRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper Vimeo video URL
        is_text_formatted:
          type: boolean
          description: Controls text formatting in output
          default: true
    VimeoVideoResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched Vimeo video data
          items:
            type: object
            properties:
              query:
                type: string
                description: Original query URL
              author_name:
                type: string
                description: Name of the review author
              author_profile_url:
                type: string
                description: URL of the author's profile
              auhtor_bio:
                type:
                  - string
                  - 'null'
                description: Details about the review author
              author_id:
                type:
                  - string
                  - number
                  - 'null'
                description: Identifier of the author
              author_profile_image_url:
                type:
                  - string
                  - 'null'
                description: URL to the author's profile image
              video_date:
                type:
                  - string
                  - 'null'
                description: Date when the review was posted
              video_description:
                type:
                  - string
                  - 'null'
                description: Content of the review
              video_modified_date:
                type:
                  - string
                  - 'null'
                description: Date when the review was posted
              video_title:
                type:
                  - string
                  - 'null'
                description: Title of the review
              video_thumbanail_url:
                type:
                  - string
                  - 'null'
                description: URL of the review video thumbnail
              author_statistics:
                type: object
                properties:
                  followers_count:
                    type: number
                    description: Number of followers
                  comments_count:
                    type: number
                    description: Number of comments on the review
                  likes_count:
                    type: number
                    description: Number of likes for the review
                  views_count:
                    type: number
                    description: Number of views
              video_statistics:
                type: object
                properties:
                  followers_count:
                    type: number
                    description: Number of followers
                  comments_count:
                    type: number
                    description: Number of comments on the review
                  likes_count:
                    type: number
                    description: Number of likes for the review
                  views_count:
                    type: number
                    description: Number of views
              video_info:
                type: object
                properties:
                  height:
                    type:
                      - number
                      - 'null'
                    description: Height of the media
                  width:
                    type:
                      - number
                      - 'null'
                    description: Width of the media
                  player_type:
                    type:
                      - string
                      - 'null'
                    description: Player type
                  video_quality:
                    type:
                      - string
                      - 'null'
                    description: Video quality
                  duration:
                    type:
                      - number
                      - string
                      - 'null'
                    description: Duration in milliseconds
              iframe_data:
                type: object
                properties:
                  src:
                    type: string
                    description: Wistia embed iframe src
              keywords:
                type:
                  - array
                  - 'null'
                items:
                  type: string
                description: List of keywords
              review_media:
                type: array
                description: Array of media items (images/videos)
                items:
                  type: object
                  properties:
                    review_media_type:
                      type: string
                      description: Type of media (image or video)
                    review_media_url:
                      type: string
                      description: URL of the media
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````